New project: PulseAudio Mixer Applet

Discussion in 'Other Operating Systems' started by Mr Spot, Feb 6, 2009.

  1. Mr Spot

    Mr Spot Member

    Joined:
    Feb 9, 2004
    Messages:
    41
    Location:
    Brisbane
    I've been working on making a mixer applet that takes advantage of some of PulseAudio's abilities:

    [​IMG]
    Click to view full size!


    I've created a project for it at https://launchpad.net/pama - source code for my first release is there. You'll need development libraries for gtk+ and libpulse installed to build it.

    Any comments appreciated! :D
     
  2. ir0nhide

    ir0nhide Member

    Joined:
    Oct 24, 2003
    Messages:
    4,231
    Location:
    Adelaide
    I thought there was already one of these?

    sudo apt-get install pavucontrol pavumeter
     
  3. OP
    OP
    Mr Spot

    Mr Spot Member

    Joined:
    Feb 9, 2004
    Messages:
    41
    Location:
    Brisbane
    Those are not panel applets which can take the place of the regular volume control icon on the panel. But yes, it provides approximately the same functionality as pavucontrol.
     
  4. ir0nhide

    ir0nhide Member

    Joined:
    Oct 24, 2003
    Messages:
    4,231
    Location:
    Adelaide
    Ahh, gotcha!
     
  5. OP
    OP
    Mr Spot

    Mr Spot Member

    Joined:
    Feb 9, 2004
    Messages:
    41
    Location:
    Brisbane
    I've posted a new version with a few small fixes: https://launchpad.net/pama/0.1/0.1.1 I've put up some .debs too, for those who don't want to compile it.

    Did anyone try the last version? Were there any problems?
     
    Last edited: Feb 14, 2009
  6. OP
    OP
    Mr Spot

    Mr Spot Member

    Joined:
    Feb 9, 2004
    Messages:
    41
    Location:
    Brisbane
    Thread resurrection!

    I have just released version 0.2.0. The screen shot mostly speaks for itself:

    Click to view full size!


    It is available at https://launchpad.net/pama/0.2/0.2.0, and packages built for Ubuntu Karmic are available in my PPA. It requires PulseAudio 0.9.15, so make sure you have it. (Jaunty comes with 0.9.14).
     

Share This Page

Advertisement: